%define orig_name vhba-module
%define debug_package %{nil}

Summary:    Virtual SCSI host bus adapter driver
Name:       vhba
Version:    20240917
Release:    1%{?dist}
License:    GPLv2
Group:      System Environment/Kernel
URL:        http://sourceforge.net/projects/cdemu
Source0:    http://downloads.sourceforge.net/cdemu/%{orig_name}/%{orig_name}-%{version}.tar.xz
Source1:    vhba.udev
Source2:    vhba.modules

Provides:	%{name}-kmod-common = %{version}
Requires:	%{name}-kmod >= %{version}

BuildRequires: systemd

%description
An implementation of a Virtual SCSI Host Bus Adapter (VHBA), which acts
as a low-level SCSI driver that provides a virtual SCSI adapter with one
or more virtual SCSI devices. It is part of cdemu, a CD/DVD-ROM device
emulator for linux.

%prep
%setup -q -n %{orig_name}-%{version}

%build
# Nothing to do here...

%install

# systemd module autoinsert rule
install -m644 -D %{SOURCE2} %{buildroot}/%{_sysconfdir}/modules-load.d/vhba.conf

# udev rule
install -m644 -D %{SOURCE1} %{buildroot}/%{_udevrulesdir}/69-vhba.rules

%files
%defattr(-, root, root, -)
%doc README AUTHORS ChangeLog
%{_sysconfdir}/modules-load.d/vhba.conf
%{_udevrulesdir}/69-vhba.rules

%changelog
* Tue Sep 17 2024 Rok Mandeljc <rok.mandeljc@gmail.com> - 20240917-1
- Updated to 20240917 (build fix for kernel 6.11)

* Fri Feb  2 2024 Rok Mandeljc <rok.mandeljc@gmail.com> - 20240202-1
- Updated to 20240202

* Sat Dec 18 2021 Rok Mandeljc <rok.mandeljc@gmail.com> - 20211218-1
- Updated to 20211218

* Sat Oct 23 2021 Rok Mandeljc <rok.mandeljc@gmail.com> - 20211023-1
- Updated to 20211023

* Sun Apr 18 2021 Rok Mandeljc <rok.mandeljc@gmail.com> - 20210418-1
- Updated to 20210418

* Mon Jan  6 2020 Rok Mandeljc <rok.mandeljc@gmail.com> - 20200106-1
- Updated to 20200106

* Tue Nov  5 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 20190831-2
- Rebuild for Fedora 31

* Sat Aug 31 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 20190831-1
- Updated to 20190831

* Tue Aug 27 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 20190827-1
- Updated to 20190827

* Wed Apr 17 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 20190410-2
- Use correct source archive

* Sat Apr 13 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 20190410-1
- Updated to 20190410

* Sat Mar  2 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 20190302-1
- Updated to 20190302

* Sat Jun 10 2017 Rok Mandeljc <rok.mandeljc@gmail.com> - 20170610-1
- Updated to 20170610

* Sun Oct  9 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 20161009-1
- Updated to 20161009

* Sat Apr 23 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 20140928-6
- This time really renamed the udev rule

* Sat Apr 23 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 20140928-5
- Use uaccess tag in udev rule instead of mode and group
- Renamed the udev rule file so it runs before 70-uaccess.rules

* Sat Apr 23 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 20140928-4
- Added systemd build dependency (%{_udevrulesdir} macro)

* Sat Apr 23 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 20140928-3
- Fixed rpmlint warnings and errors
- Install udev rule to %{_udevrulesdir}

* Thu Apr 21 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 20140928-2
- Removed broken NAME="%k" from udev rule

* Sun Sep 28 2014 Rok Mandeljc <rok.mandeljc@gmail.com> - 20140928-1
- Updated to 20140928

* Sun Jun 29 2014 Rok Mandeljc <rok.mandeljc@gmail.com> - 20140629-1
- Updated to 20140629

* Mon Oct  7 2013 Rok Mandeljc <rok.mandeljc@gmail.com> - 20130607-1
- Updated to 20130607

* Sun Apr 22 2012 Rok Mandeljc <rok.mandeljc@gmail.com> - 20120422-1
- RPM release for new version
